dofile("Base.rte/Constants.lua")
require("AI/NativeHumanAI")
function Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX
	self.AI = NativeHumanAI:Create(self)
	self.MaxShockEnergy = 100
	self.CurrentSE = 0
	self.SERestoreTimer = Timer()
end

function Update(self)
	self.Meter = CreateAEmitter("Shock Energy Meter")
	self.Meter.Pos = self.Pos + Vector(0, -30)
	self.Meter.Frame = 0 + math.ceil(self.CurrentSE / 5.5)
	MovableMan:AddParticle(self.Meter)
	if self.CurrentSE < self.MaxShockEnergy and self.Sharpness == 0 and self.SERestoreTimer:IsPastSimMS(800) then
		self.CurrentSE = self.CurrentSE + 1
		self.SERestoreTimer:Reset()
	end
	if self.Sharpness == 1 and self.CurrentSE >= 50 then
		self.CurrentSE = self.CurrentSE - 50
		local EMPImpulse = CreateMOPixel("EMI Shock Particle", "MercuryInc.rte")
		EMPImpulse.Pos = self.Pos
		MovableMan:AddParticle(EMPImpulse)
		local emisound = CreateAEmitter("EMI Impulse Sound")
		emisound.Pos = self.Pos
		MovableMan:AddParticle(emisound)
		self.Sharpness = 0
	elseif self.Sharpness == 1 and self.CurrentSE < 50 then
		self.Sharpness = 0
	end
	if self.Sharpness == 2 and self.CurrentSE >= 80 then
		self.CurrentSE = self.CurrentSE - 80
		local JammerImpulse = CreateMOPixel("Jammer Shock Particle", "MercuryInc.rte")
		JammerImpulse.Pos = self.Pos
		JammerImpulse.Sharpness = self.Team
		MovableMan:AddParticle(JammerImpulse)
		local jack = CreateAEmitter("Hjack Impulse Sound")
		jack.Pos = self.Pos
		MovableMan:AddParticle(jack)
		self.Sharpness = 0
	elseif self.Sharpness == 2 and self.CurrentSE < 80 then
		self.Sharpness = 0
	end
	if self.Sharpness == 3 and self.CurrentSE >= 20 then
		self.CurrentSE = self.CurrentSE - 20
		local DoorImpulse = CreateMOPixel("Door Shock Particle", "MercuryInc.rte")
		DoorImpulse.Pos = self.Pos
		DoorImpulse.Team = self.Team
		MovableMan:AddParticle(DoorImpulse)
		local emisound = CreateAEmitter("EMI Impulse Sound")
		emisound.Pos = self.Pos
		MovableMan:AddParticle(emisound)
		self.Sharpness = 0
	elseif self.Sharpness == 3 and self.CurrentSE < 20 then
		self.Sharpness = 0
	end
end
function UpdateAI(self)
	self.AI:Update(self)
end
