dofile("Base.rte/Constants.lua")
require("AI/NativeHumanAI")
function Create(self)
	self.AI = NativeHumanAI:Create(self)
	self.CurrentRockets = 0
	self.ReloadTimer = Timer()
	self.FireTimer = Timer()
end

function Update(self)
	self.Meter = CreateAEmitter("Rockets Count Meter")
	self.Meter.Pos = self.Pos + Vector(0, -31)
	self.Meter.Frame = 0 + math.ceil(self.CurrentRockets)
	MovableMan:AddParticle(self.Meter)
	if
		self.Sharpness == 1
		and self.CurrentRockets < 1
		and self.ReloadTimer:IsPastSimMS(8000)
		and self.FireTimer:IsPastSimMS(2000)
	then
		CurrentF = ActivityMan:GetActivity():GetTeamFunds(self.Team)
		ActivityMan:GetActivity():SetTeamFunds(CurrentF - 10, self.Team)
		self.CurrentRockets = self.CurrentRockets + 1
		self.ReloadTimer:Reset()
		local reload = CreateAEmitter("Rockets Pads Reload")
		reload.Pos = self.Pos
		MovableMan:AddParticle(reload)
		self.Sharpness = 0
	elseif self.Sharpness == 1 and self.CurrentRockets == 1 then
		self.Sharpness = 0
	end
	if self.Sharpness == 2 and self.CurrentRockets > 0 and self.FireTimer:IsPastSimMS(2000) then
		self.CurrentRockets = self.CurrentRockets - 1
		self.FireTimer:Reset()
		local missle = CreateAEmitter("Particle Coalition Missile Launcher Back")
		missle.Pos = self.Pos + self:RotateOffset(Vector(-11, -15))
		missle.Vel = missle.Vel + Vector(0, -40):RadRotate(self.RotAngle)
		missle.Sharpness = self.Team
		missle.Team = self.Team
		MovableMan:AddParticle(missle)
		local firesound = CreateAEmitter("Rockets Pads Fire")
		firesound.Pos = self.Pos
		MovableMan:AddParticle(firesound)
		local woosh = CreateAEmitter("Shell Coalition Rocket Pads Back Blast")
		woosh.Pos = self.Pos + self:RotateOffset(Vector(-11, 16))
		MovableMan:AddParticle(woosh)
		self.Sharpness = 0
	elseif self.Sharpness == 2 and self.CurrentRockets == 0 then
		self.Sharpness = 0
	end
end
function UpdateAI(self)
	self.AI:Update(self)
end
