function Create(self)
	self.chargeTimer = Timer()
	self.maxcharge = 10
	self.Magazine.RoundCount = self.maxcharge
end
function Update(self)
	local actor = MovableMan:GetMOFromID(self.RootID)
	if MovableMan:IsActor(actor) then
		ToActor(actor):GetController():SetState(Controller.WEAPON_RELOAD, false)
	end
	if self.Magazine ~= nil then
		if self.Magazine.RoundCount == 0 then
			self:Deactivate()
		end
		if self:IsActivated() then
			self.chargeTimer:Reset()
		else
			if self.Magazine.RoundCount < self.maxcharge and self.chargeTimer:IsPastSimMS(1500) then
				self.chargeTimer:Reset()
				local ammoCheck = self.Magazine.RoundCount + 1
				self.Magazine.RoundCount = ammoCheck
				local reload = CreateAEmitter("Omega Reload")
				reload.Pos = self.Pos
				MovableMan:AddParticle(reload)
				local glow = CreateMOPixel("Reload Omega Glow")
				glow.Pos = self.Pos
				MovableMan:AddParticle(glow)
			end
		end
	end
end
