function Create(self)
	self.grenadestage = 0
	self.detonationTimer = Timer()
	self.recollectTimer = Timer()
end
function Update(self)
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X
		local avgy = actor.Pos.Y - self.Pos.Y
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2)
		if dist < 120 then
			if actor.Team == self.Sharpness then
				self.grenadestage = 0
				self.Frame = 1
			else
				self.grenadestage = 1
				self.Frame = 0
			end
		end
		if self.grenadestage == 1 and self.detonationTimer:IsPastSimMS(2500) then
			self:GibThis()
		elseif self.grenadestage == 0 then
			self.detonationTimer:Reset()
		end
		if self.recollectTimer:IsPastSimMS(5100) then
			self.recollectTimer:Reset()
			local new = CreateTDExplosive("Smart Grenade")
			new.Pos = self.Pos
			new.Vel = self.Vel
			new.Sharpness = self.Sharpness
			new.RotAngle = self.RotAngle
			MovableMan:AddParticle(new)
			self.ToDelete = true
		end
	end
end
