function Create(self)
	self.effectTimer = Timer()
end
function Update(self)
	for gmans in MovableMan.Actors do
		local dist = SceneMan:ShortestDistance(self.Pos, gmans.Pos, true)
		if dist.Magnitude < 20 then
			if gmans.ClassName == "AHuman" or gmans.ClassName == "ACrab" then
				for exit in MovableMan.Particles do
					if
						exit.ClassName == "AEmitter"
						and string.find(exit.PresetName, "Merc Portal Tool Portal Exit")
						and self.effectTimer:IsPastSimMS(25)
					then
						gmans.Pos = exit.Pos
						gmans:FlashWhite(500)
						self.effectTimer:Reset()
						local effect = CreateAEmitter("TelePortal Sound", "Mercury.rte")
						effect.Pos = exit.Pos
						MovableMan:AddParticle(effect)
					end
				end
			else
				gmans:GibThis()
			end
		end
	end
end
