--[[
	Mercury Incorporated High-Class Merceneries by Punisher aka Dart_Veder aka DedushkaBot
]]
--

if PresetMan:GetModuleID("MercuryInc.rte") ~= -1 then
	--[[
	COALITION!
]]
	--
	i = #CF_ActNames["Coalition"] + 1
	CF_ActNames["Coalition"][i] = "Soldier Elite"
	CF_ActPresets["Coalition"][i] = "Soldier Elite"
	CF_ActModules["Coalition"][i] = "MercuryInc.rte"
	CF_ActPrices["Coalition"][i] = 180
	CF_ActDescriptions["Coalition"][i] =
		"Elite Coalition soldier with telescopic armor, powerful jetpack, night-vision device, and durable helmet with beautiful coloring. This things are very expensive, but it's worth it. In addition, these clones are pretty endurance and quick."
	CF_ActUnlockData["Coalition"][i] = 4000
	CF_ActTypes["Coalition"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Coalition"][i] = 9

	i = #CF_ActNames["Coalition"] + 1
	CF_ActNames["Coalition"][i] = "Soldier Rocketman"
	CF_ActPresets["Coalition"][i] = "Soldier Rocketman"
	CF_ActModules["Coalition"][i] = "MercuryInc.rte"
	CF_ActPrices["Coalition"][i] = 165
	CF_ActDescriptions["Coalition"][i] =
		"Anti-Air trooper with Rocket Launcher on back. Powerful rockets are flying not too fast but has an advanced guidance system that makes the soldier an excellent for AA defense of your base, but this soldier is not very maneuverable."
	CF_ActUnlockData["Coalition"][i] = 3000
	CF_ActTypes["Coalition"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Coalition"][i] = 8

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Missile Pistol"
	CF_ItmPresets["Coalition"][i] = "Missile Pistol"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 45
	CF_ItmDescriptions["Coalition"][i] =
		"Love missiles but missile launchers too heavy for you? Then this little pistol for you!"
	CF_ItmUnlockData["Coalition"][i] = 800
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.PISTOL
	CF_ItmPowers["Coalition"][i] = 8

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Battle Rifle"
	CF_ItmPresets["Coalition"][i] = "Battle Rifle"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 70
	CF_ItmDescriptions["Coalition"][i] =
		"The perfect weapon, dream of any Coalition soldier. Delightful firepower, accurate, and good rate of fire, this is all in one gun."
	CF_ItmUnlockData["Coalition"][i] = 1000
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Coalition"][i] = 7

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Assault Cannon"
	CF_ItmPresets["Coalition"][i] = "Assault Cannon"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 80
	CF_ItmDescriptions["Coalition"][i] =
		"Smaller version of the Auto Cannon. This weapon is lighter but maintains the firepower of his older brother, so with it you can maneuver quickly without significant loss of fire."
	CF_ItmUnlockData["Coalition"][i] = 1200
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Coalition"][i] = 7

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Tactical-GL"
	CF_ItmPresets["Coalition"][i] = "Tactical-GL"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 150
	CF_ItmDescriptions["Coalition"][i] =
		"Tactical grenade launcher with four types of grenades: Impact detonation grenades, Bounce and timed detonation grenades, Mines grenades, and grenade-shotgun shells."
	CF_ItmUnlockData["Coalition"][i] = 2000
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Coalition"][i] = 9

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Battle Binoculars"
	CF_ItmPresets["Coalition"][i] = "Battle Binoculars"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 10
	CF_ItmDescriptions["Coalition"][i] = "Coalition improved binoculars, an excellent tool to monitor the battlefield!"
	CF_ItmUnlockData["Coalition"][i] = 200
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Coalition"][i] = 0

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Battle Kit"
	CF_ItmPresets["Coalition"][i] = "Battle Kit"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 70
	CF_ItmDescriptions["Coalition"][i] =
		"The military medical kit for the Coalition troops. This box has a curative fluid, like in which growns clones, may very well improve your health, and in this kit has some patches for repair military clothing and kevlar."
	CF_ItmUnlockData["Coalition"][i] = 500
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Coalition"][i] = 5

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Metal Cutter"
	CF_ItmPresets["Coalition"][i] = "Metal Cutter"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 80
	CF_ItmDescriptions["Coalition"][i] =
		"A powerful directed action digger, produced for the Coalition needs. Of course, the primary task is break walls of bunkers for assault, and removing metal foam, since this not a gold digging tool."
	CF_ItmUnlockData["Coalition"][i] = 500
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.DIGGER
	CF_ItmPowers["Coalition"][i] = 5

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Metal Foam Sprayer"
	CF_ItmPresets["Coalition"][i] = "Metal Foam Sprayer"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 95
	CF_ItmDescriptions["Coalition"][i] =
		"Construction never been so easy! With this tool you can quickly patch up the hole in the wall, or even any hole. And do not forget that metal foam is not concrete, its very heavy to digging, and has good resistance to bullets."
	CF_ItmUnlockData["Coalition"][i] = 500
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Coalition"][i] = 0

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Mine Stacker"
	CF_ItmPresets["Coalition"][i] = "Mine Stacker"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 135
	CF_ItmDescriptions["Coalition"][i] = "Device for rapid placing mines. Good thing for each military sapper."
	CF_ItmUnlockData["Coalition"][i] = 1000
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Coalition"][i] = 0

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Termite Grenade"
	CF_ItmPresets["Coalition"][i] = "Termite Grenade"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 30
	CF_ItmDescriptions["Coalition"][i] =
		"Special grenade for breaching holes in bunkers, using a very hot termite. We hope you know that this can only burn a horizontal surface."
	CF_ItmUnlockData["Coalition"][i] = 300
	CF_ItmClasses["Coalition"][i] = "TDExplosive"
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Coalition"][i] = 4

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Cluster Bomb"
	CF_ItmPresets["Coalition"][i] = "Cluster Bomb"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 35
	CF_ItmDescriptions["Coalition"][i] =
		"Sticky cluster bomb. Explodes after 5 seconds, and scatters 8 mini sticky bombs which then explode too."
	CF_ItmUnlockData["Coalition"][i] = 600
	CF_ItmClasses["Coalition"][i] = "TDExplosive"
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Coalition"][i] = 6

	i = #CF_ItmNames["Coalition"] + 1
	CF_ItmNames["Coalition"][i] = "Defensive Shield"
	CF_ItmPresets["Coalition"][i] = "Defensive Shield"
	CF_ItmModules["Coalition"][i] = "MercuryInc.rte"
	CF_ItmPrices["Coalition"][i] = 35
	CF_ItmDescriptions["Coalition"][i] =
		"Reliable shield for defense. That's right, sometimes you need to defense, not always go to assault."
	CF_ItmUnlockData["Coalition"][i] = 700
	CF_ItmClasses["Coalition"][i] = "HeldDevice"
	CF_ItmTypes["Coalition"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Coalition"][i] = 6

	--[[
	TECHION!
]]
	--
	i = #CF_ActNames["Techion"] + 1
	CF_ActNames["Techion"][i] = "White Assassin"
	CF_ActPresets["Techion"][i] = "White Assassin"
	CF_ActModules["Techion"][i] = "MercuryInc.rte"
	CF_ActPrices["Techion"][i] = 250
	CF_ActDescriptions["Techion"][i] =
		"Special spy robot with new nano-technology. He has a minimum armor, but it not important when you have a nano camouflage! A special coating of the nanites can jamming signals, so you can pretend any enemy team, go through line of defense and kill the commander. But nano camouflage turns off when you open fire, and you can't be masked for about 10 seconds."
	CF_ActUnlockData["Techion"][i] = 5000
	CF_ActTypes["Techion"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Techion"][i] = 5

	i = #CF_ActNames["Techion"] + 1
	CF_ActNames["Techion"][i] = "Hercules"
	CF_ActPresets["Techion"][i] = "Hercules"
	CF_ActModules["Techion"][i] = "MercuryInc.rte"
	CF_ActPrices["Techion"][i] = 280
	CF_ActDescriptions["Techion"][i] =
		"Heavy robot which has just get out from Techion secret laboratories. The main strength of Hercules - nanobots module, that can quickly repair all damage and then be ready to fight. But do not forget that if Hercules against you, you must kill him quickly."
	CF_ActUnlockData["Techion"][i] = 5500
	CF_ActTypes["Techion"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Techion"][i] = 9

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Omega Pulsar"
	CF_ItmPresets["Techion"][i] = "Omega Pulsar"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 50
	CF_ItmDescriptions["Techion"][i] =
		"A real .357 laser handgun, if the laser would have a caliber, also has a more powerful battery, and moreover, it can self-charging. But a rate of fire of this powerful gun pretty low."
	CF_ItmUnlockData["Techion"][i] = 1500
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.PISTOL
	CF_ItmPowers["Techion"][i] = 8

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Elite Pulsar Rifle"
	CF_ItmPresets["Techion"][i] = "Elite Pulsar Rifle"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 75
	CF_ItmDescriptions["Techion"][i] = "Lightweight fast-firing pulsar rifle with scope. Nothing more to add."
	CF_ItmUnlockData["Techion"][i] = 1100
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Techion"][i] = 7

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nucleo Alfa"
	CF_ItmPresets["Techion"][i] = "Nucleo Alfa"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 80
	CF_ItmDescriptions["Techion"][i] =
		"It shoots a plasma missiles, but they are not homing and fly faster. The weapon also has 12 charges and lighter weight."
	CF_ItmUnlockData["Techion"][i] = 1700
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Techion"][i] = 7

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nanoswarm Cannon"
	CF_ItmPresets["Techion"][i] = "Nanoswarm Cannon"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 140
	CF_ItmDescriptions["Techion"][i] =
		"Nanoswarm grenade launcher with bounce grenades full of nanobots, can firing far and has a system of trajectory assistance."
	CF_ItmUnlockData["Techion"][i] = 1900
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Techion"][i] = 7

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nanogun"
	CF_ItmPresets["Techion"][i] = "Nanogun"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 200
	CF_ItmDescriptions["Techion"][i] =
		"You no longer like Miniguns? It's time to try Nanogun! Slow rate of fire, accuracy is not best, a small magazine, but damn, this gun shoots a nano-bullets!"
	CF_ItmUnlockData["Techion"][i] = 3000
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Techion"][i] = 10

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nucleo Launcher"
	CF_ItmPresets["Techion"][i] = "Nucleo Launcher"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 150
	CF_ItmDescriptions["Techion"][i] =
		"The devastating plasma weapon, used as an artillery gun. The only drawback is long recharge time and time to create a stable plasma sphere."
	CF_ItmUnlockData["Techion"][i] = 2500
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Techion"][i] = 9

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nano Aerosol"
	CF_ItmPresets["Techion"][i] = "Nano Aerosol"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 150
	CF_ItmDescriptions["Techion"][i] =
		"Expensive medical aerosol. Its use small nanobots that can very slowly heal wounds."
	CF_ItmUnlockData["Techion"][i] = 900
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Techion"][i] = 7

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nucleo Scanner"
	CF_ItmPresets["Techion"][i] = "Nucleo Scanner"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 80
	CF_ItmDescriptions["Techion"][i] = "Powerful scanner using high-tech of Techions."
	CF_ItmUnlockData["Techion"][i] = 600
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Techion"][i] = 0

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Shield Tool"
	CF_ItmPresets["Techion"][i] = "Shield Tool"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 150
	CF_ItmDescriptions["Techion"][i] =
		"Experimental device of Techions. It can create impenetrable energy shield for a short period of time. You also need time to recharge the generator."
	CF_ItmUnlockData["Techion"][i] = 2000
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Techion"][i] = 10

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Portal Tool"
	CF_ItmPresets["Techion"][i] = "Portal Tool"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 150
	CF_ItmDescriptions["Techion"][i] =
		"A more experimental device, to create a portals! We could read all four volumes of books a principles of action, but Opirture Science forbade us to do so. Therefore, a brief guide: create entry and exit portals, go to the entrance and find yourself in the output. Portals are stable for 30 seconds, and to close the portal device emits -CENSOR- and portals are closes. Under certain conditions, it can be used as a weapon or a tool to interfere the movement of enemy."
	CF_ItmUnlockData["Techion"][i] = 2250
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Techion"][i] = 0

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Nucleo Grenade"
	CF_ItmPresets["Techion"][i] = "Nucleo Grenade"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 20
	CF_ItmDescriptions["Techion"][i] =
		"Beautiful chromed grenade, in the explosion releases 4 plasma ball. Very effective in the bunker-battles."
	CF_ItmUnlockData["Techion"][i] = 350
	CF_ItmClasses["Techion"][i] = "TDExplosive"
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Techion"][i] = 5

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Warp Bomb"
	CF_ItmPresets["Techion"][i] = "Warp Bomb"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 75
	CF_ItmDescriptions["Techion"][i] =
		"Special bomb, with warp technology. Upon detonation, nearest enemies will teleport to bomb location, and there will be waiting for your ambush. You make ambush there, right?"
	CF_ItmUnlockData["Techion"][i] = 1000
	CF_ItmClasses["Techion"][i] = "TDExplosive"
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Techion"][i] = 10

	i = #CF_ItmNames["Techion"] + 1
	CF_ItmNames["Techion"][i] = "Pulsar Shield"
	CF_ItmPresets["Techion"][i] = "Pulsar Shield"
	CF_ItmModules["Techion"][i] = "MercuryInc.rte"
	CF_ItmPrices["Techion"][i] = 150
	CF_ItmDescriptions["Techion"][i] =
		"A small device that can create a stable energy shield. Very light weight compared to other shields on the market, but also has a certain limit of hits, after which can not be repaired."
	CF_ItmUnlockData["Techion"][i] = 2000
	CF_ItmClasses["Techion"][i] = "HeldDevice"
	CF_ItmTypes["Techion"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Techion"][i] = 10

	--[[
	IMPERATUS!
]]
	--
	i = #CF_ActNames["Imperatus"] + 1
	CF_ActNames["Imperatus"][i] = "Butcher Robot"
	CF_ActPresets["Imperatus"][i] = "Butcher Robot"
	CF_ActModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ActPrices["Imperatus"][i] = 170
	CF_ActDescriptions["Imperatus"][i] =
		"Unusual robot model of Imperatus, this machine knows humans anatomy, and apparently decided to try wear bag with meat, previously gutted all superfluous. A terrible sight. But it gives additional protection, and the Ronin soldiers afraid this robots."
	CF_ActUnlockData["Imperatus"][i] = 1200
	CF_ActTypes["Imperatus"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Imperatus"][i] = 4

	i = #CF_ActNames["Imperatus"] + 1
	CF_ActNames["Imperatus"][i] = "Guardian Robot"
	CF_ActPresets["Imperatus"][i] = "Guardian Robot"
	CF_ActModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ActPrices["Imperatus"][i] = 230
	CF_ActDescriptions["Imperatus"][i] =
		"Very heavy robot with multiple layers of armor has created for one purpose - defend. He had no jetpack, only armor. Many lot of armor. If your bunker will protect these robots, hell yeah, your bunker will be a impregnable fortress."
	CF_ActUnlockData["Imperatus"][i] = 1750
	CF_ActTypes["Imperatus"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Imperatus"][i] = 7

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Chaos SMG-61"
	CF_ItmPresets["Imperatus"][i] = "Chaos SMG-61"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 30
	CF_ItmDescriptions["Imperatus"][i] =
		"Rapid submachine gun, a very reliable and durable for its kind, is also excellent fit in one hand."
	CF_ItmUnlockData["Imperatus"][i] = 500
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.PISTOL
	CF_ItmPowers["Imperatus"][i] = 4

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Smasher HR-20"
	CF_ItmPresets["Imperatus"][i] = "Smasher HR-20"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 105
	CF_ItmDescriptions["Imperatus"][i] =
		"Best heavy rifle for thugs. Big caliber is perfect for shooting armored targets and soft bags with meat. And we talked about the assault sight and the ability to shoot shotgun buckshots?"
	CF_ItmUnlockData["Imperatus"][i] = 1100
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Imperatus"][i] = 7

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Avenger FC-08"
	CF_ItmPresets["Imperatus"][i] = "Avenger FC-08"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 50
	CF_ItmDescriptions["Imperatus"][i] =
		"Four-barreled grenade launcher, can shoots rusty grenades that stick to enemies and explode after some time, or shoot like a powerful shotgun."
	CF_ItmUnlockData["Imperatus"][i] = 700
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Imperatus"][i] = 5

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Ironfist LMG-9"
	CF_ItmPresets["Imperatus"][i] = "Ironfist LMG-9"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 90
	CF_ItmDescriptions["Imperatus"][i] =
		"Rapid-firing machinegun with a large drum magazine, a great tool for that enemies quickly hid in trenches and afraid to raise his head. However, when you run out of ammo, you better hide, because reload pretty long."
	CF_ItmUnlockData["Imperatus"][i] = 1000
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Imperatus"][i] = 6

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Thunder GC-9000"
	CF_ItmPresets["Imperatus"][i] = "Thunder GC-9000"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 150
	CF_ItmDescriptions["Imperatus"][i] =
		"The powerful gun with gauss technology. This cannon uses electricity and magnets to accelerate a projectile to huge speeds, but before every shot you need time to charge the coils. In a direct hit the target is rarely survives."
	CF_ItmUnlockData["Imperatus"][i] = 2000
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Imperatus"][i] = 10

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Beast RL-72"
	CF_ItmPresets["Imperatus"][i] = "Beast RL-72"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 150
	CF_ItmDescriptions["Imperatus"][i] =
		"Good rocket launcher, which can be used as an artillery gun. Rockets in explosion scatter a lot of deadly fragments that can fly for a long time."
	CF_ItmUnlockData["Imperatus"][i] = 1500
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Imperatus"][i] = 8

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Valve RK-3"
	CF_ItmPresets["Imperatus"][i] = "Valve RK-3"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 40
	CF_ItmDescriptions["Imperatus"][i] =
		"Repair kit with a strange name. Who will understand these damn robots. It contains different parts and details, only suitable for Imperatus robots."
	CF_ItmUnlockData["Imperatus"][i] = 250
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Imperatus"][i] = 4

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Worm MD-43"
	CF_ItmPresets["Imperatus"][i] = "Worm MD-43"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 30
	CF_ItmDescriptions["Imperatus"][i] = "Cheap steel drill for miner's work, but it can also dig enemies."
	CF_ItmUnlockData["Imperatus"][i] = 300
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.DIGGER
	CF_ItmPowers["Imperatus"][i] = 2

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Hacker HT-8"
	CF_ItmPresets["Imperatus"][i] = "Hacker HT-8"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 75
	CF_ItmDescriptions["Imperatus"][i] =
		"A small device that can block the movement, firing, and guidance systems in turrets and other crab-tanks for few seconds."
	CF_ItmUnlockData["Imperatus"][i] = 700
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Imperatus"][i] = 4

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Bolt FG-03"
	CF_ItmPresets["Imperatus"][i] = "Bolt FG-03"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 5
	CF_ItmDescriptions["Imperatus"][i] =
		"Old fragmentation grenade, a little bit heavy, but its still may well explode."
	CF_ItmUnlockData["Imperatus"][i] = 100
	CF_ItmClasses["Imperatus"][i] = "TDExplosive"
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Imperatus"][i] = 3

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Shrapnel Rain SB-51"
	CF_ItmPresets["Imperatus"][i] = "Shrapnel Rain SB-51"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 25
	CF_ItmDescriptions["Imperatus"][i] =
		"Heavy, powerful bomb with a large number of shrapnel which scatters at a high speed and at long distance. You can blow up it outdoor and see a rain. Shrapnel Rain!"
	CF_ItmUnlockData["Imperatus"][i] = 300
	CF_ItmClasses["Imperatus"][i] = "TDExplosive"
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Imperatus"][i] = 5

	i = #CF_ItmNames["Imperatus"] + 1
	CF_ItmNames["Imperatus"][i] = "Wall HSS-40"
	CF_ItmPresets["Imperatus"][i] = "Wall HSS-40"
	CF_ItmModules["Imperatus"][i] = "MercuryInc.rte"
	CF_ItmPrices["Imperatus"][i] = 50
	CF_ItmDescriptions["Imperatus"][i] =
		"Incredibly heavy steel shield, able to withstand a large number of hits. Yeah, sometimes the best defense - is a thick layer of steel."
	CF_ItmUnlockData["Imperatus"][i] = 800
	CF_ItmClasses["Imperatus"][i] = "HeldDevice"
	CF_ItmTypes["Imperatus"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Imperatus"][i] = 8

	--[[
	RONIN!
]]
	--
	i = #CF_ActNames["Ronin"] + 1
	CF_ActNames["Ronin"][i] = "Ronin Veteran"
	CF_ActPresets["Ronin"][i] = "Ronin Veteran"
	CF_ActModules["Ronin"][i] = "MercuryInc.rte"
	CF_ActPrices["Ronin"][i] = 140
	CF_ActDescriptions["Ronin"][i] =
		"Veterans have seen many battles. Scars and injuries left for all life, but all is not so bad when you give pension in tobacco, and berets store gives discount 67%. But it's time to fight back! Insert into your leg prosthes disposable medical injector, grab your favorite gun and go to glory!"
	CF_ActUnlockData["Ronin"][i] = 1500
	CF_ActTypes["Ronin"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Ronin"][i] = 3

	i = #CF_ActNames["Ronin"] + 1
	CF_ActNames["Ronin"][i] = "Ronin Engineer"
	CF_ActPresets["Ronin"][i] = "Ronin Engineer"
	CF_ActModules["Ronin"][i] = "MercuryInc.rte"
	CF_ActPrices["Ronin"][i] = 135
	CF_ActDescriptions["Ronin"][i] =
		"Engineers, it is very helpful guys! They always wear their favorite glasses, helmet and a backpack with tools and mini-jetpack. Collect weapons and tools from battlefield, disassemble them to get metal! Heavier items, have more useful parts and metal. You can repair weapon for you or for you comrades, make a grenade or a signal jammer, create a simple suicide robot, or even build autonomous turret!"
	CF_ActUnlockData["Ronin"][i] = 1250
	CF_ActTypes["Ronin"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Ronin"][i] = 2

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Stechkin"
	CF_ItmPresets["Ronin"][i] = "Stechkin"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 20
	CF_ItmDescriptions["Ronin"][i] =
		"Russian automatic pistol. Shoot fast and pretty accurately. Limited edition! Hurry buy!"
	CF_ItmUnlockData["Ronin"][i] = 200
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.PISTOL
	CF_ItmPowers["Ronin"][i] = 2

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "HK MP5A3 SD"
	CF_ItmPresets["Ronin"][i] = "HK MP5A3 SD"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 40
	CF_ItmDescriptions["Ronin"][i] =
		"Credible submachine gun with integrated silencer. What could be better for stealth operations?"
	CF_ItmUnlockData["Ronin"][i] = 1000
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.PISTOL
	CF_ItmPowers["Ronin"][i] = 8

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "USAS-12"
	CF_ItmPresets["Ronin"][i] = "USAS-12"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 65
	CF_ItmDescriptions["Ronin"][i] = "Rapid-fire automatic shotgun. It can turn a boring shooting in a real thriller!"
	CF_ItmUnlockData["Ronin"][i] = 1400
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.SHOTGUN
	CF_ItmPowers["Ronin"][i] = 7

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "FN SCAR-L"
	CF_ItmPresets["Ronin"][i] = "FN SCAR-L"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 75
	CF_ItmDescriptions["Ronin"][i] =
		"Excellent weapon for any combat conditions. Has special handle and a good assault scope for better accuracy."
	CF_ItmUnlockData["Ronin"][i] = 2200
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Ronin"][i] = 6

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Colt M4 M203"
	CF_ItmPresets["Ronin"][i] = "Colt M4 M203"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 75
	CF_ItmDescriptions["Ronin"][i] =
		"Carabiner, created in the United States for special operations. Weapons perfectly kill terrorists or may neutralize bombs, by killing one who holds it. In this also help a underbarrel grenade launcher M203."
	CF_ItmUnlockData["Ronin"][i] = 2400
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Ronin"][i] = 6

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Grenade Crossbow"
	CF_ItmPresets["Ronin"][i] = "Grenade Crossbow"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 85
	CF_ItmDescriptions["Ronin"][i] =
		"This crossbow can shoots Stick grenades like arrows, very accurately and on far distances."
	CF_ItmUnlockData["Ronin"][i] = 2500
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.SNIPER
	CF_ItmPowers["Ronin"][i] = 7

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Steyr HS .50"
	CF_ItmPresets["Ronin"][i] = "Steyr HS .50"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 175
	CF_ItmDescriptions["Ronin"][i] =
		"Austrian single shot large-caliber heavy sniper rifle, designed to kill the enemy snipers and lightly armored enemy, a deadly weapon in the hands of an experienced sniper. It is also equipped with optical sight and bipod, so shooting from a prone position much more effeciency."
	CF_ItmUnlockData["Ronin"][i] = 4500
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.SNIPER
	CF_ItmPowers["Ronin"][i] = 10

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Desert Binoculars"
	CF_ItmPresets["Ronin"][i] = "Desert Binoculars"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 8
	CF_ItmDescriptions["Ronin"][i] =
		"The usual binoculars with desert camouflage. Now you can see your enemies from afar."
	CF_ItmUnlockData["Ronin"][i] = 180
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Ronin"][i] = 1

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Medical Kit"
	CF_ItmPresets["Ronin"][i] = "Medical Kit"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 40
	CF_ItmDescriptions["Ronin"][i] =
		"This kit contains bandages, some pills, syringe with something, it looks like morphine or cyanide, we not exactly sure. Anyway, this medkit always save Ronins ass."
	CF_ItmUnlockData["Ronin"][i] = 275
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Ronin"][i] = 3

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Little Gunsmith Kit"
	CF_ItmPresets["Ronin"][i] = "Little Gunsmith Kit"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 100
	CF_ItmDescriptions["Ronin"][i] =
		"Children set with small tools, parts, and other things to create their first weapon, and try himself as a gunsmith. And nobody knows what details there and what kind of weapons you can create!"
	CF_ItmUnlockData["Ronin"][i] = 750
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Ronin"][i] = 1

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Mine Detector"
	CF_ItmPresets["Ronin"][i] = "Mine Detector"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 15
	CF_ItmDescriptions["Ronin"][i] =
		"A simple device to search and disarm a mines. To demining you should be very close to mine."
	CF_ItmUnlockData["Ronin"][i] = 100
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Ronin"][i] = 1

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Dynamite"
	CF_ItmPresets["Ronin"][i] = "Dynamite"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 5
	CF_ItmDescriptions["Ronin"][i] =
		"Explosive, based on nitroglycerin with absorber and other additives. Dangerous and inconvenient for use, but cheap and fun."
	CF_ItmUnlockData["Ronin"][i] = 100
	CF_ItmClasses["Ronin"][i] = "TDExplosive"
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Ronin"][i] = 2

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Smart Grenade"
	CF_ItmPresets["Ronin"][i] = "Smart Grenade"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 15
	CF_ItmDescriptions["Ronin"][i] =
		"Special grenade, which can sometimes surprise you by they intelligence. Anyway, a grenade really does its job, and even can play with you in chess."
	CF_ItmUnlockData["Ronin"][i] = 600
	CF_ItmClasses["Ronin"][i] = "TDExplosive"
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Ronin"][i] = 4

	i = #CF_ItmNames["Ronin"] + 1
	CF_ItmNames["Ronin"][i] = "Tactical Shield"
	CF_ItmPresets["Ronin"][i] = "Tactical Shield"
	CF_ItmModules["Ronin"][i] = "MercuryInc.rte"
	CF_ItmPrices["Ronin"][i] = 20
	CF_ItmDescriptions["Ronin"][i] =
		"Steel shield. Just a steel shield. 79 % of iron and tin, 20 % of steel, and 1 % of love."
	CF_ItmUnlockData["Ronin"][i] = 500
	CF_ItmClasses["Ronin"][i] = "HeldDevice"
	CF_ItmTypes["Ronin"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Ronin"][i] = 1

	--[[
	DUMMY!
]]
	--
	i = #CF_ActNames["Dummy"] + 1
	CF_ActNames["Dummy"][i] = "Dummy Ironclad"
	CF_ActPresets["Dummy"][i] = "Dummy Ironclad"
	CF_ActModules["Dummy"][i] = "MercuryInc.rte"
	CF_ActPrices["Dummy"][i] = 135
	CF_ActDescriptions["Dummy"][i] =
		"Fat and armored dummy, has several layers of plastic armor, little more powerful jetpack, and good resistance to blast and falls. For enemy will also be surprise when he finds that all you important system transferred to the torso."
	CF_ActUnlockData["Dummy"][i] = 1750
	CF_ActTypes["Dummy"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Dummy"][i] = 5

	i = #CF_ActNames["Dummy"] + 1
	CF_ActNames["Dummy"][i] = "Dummy Medic"
	CF_ActPresets["Dummy"][i] = "Dummy Medic"
	CF_ActModules["Dummy"][i] = "MercuryInc.rte"
	CF_ActPrices["Dummy"][i] = 250
	CF_ActDescriptions["Dummy"][i] =
		"Standart dummy, painted white, and with medical field generator. Energy is recovered very slowly by itself, and during activation is consumed fast. Do not turn on the field when the near nobody to treat, also, the field turned off itself when closest ally are healthy or leave the range of work."
	CF_ActUnlockData["Dummy"][i] = 2500
	CF_ActTypes["Dummy"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Dummy"][i] = 1

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Scouting Carabin"
	CF_ItmPresets["Dummy"][i] = "Scouting Carabin"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 35
	CF_ItmDescriptions["Dummy"][i] =
		"Very light carabine with a large magazine, can be used as a primary or secondary weapon."
	CF_ItmUnlockData["Dummy"][i] = 350
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Dummy"][i] = 1

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Assault Nailer"
	CF_ItmPresets["Dummy"][i] = "Assault Nailer"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 50
	CF_ItmDescriptions["Dummy"][i] =
		"The standard model of the Dummy assault nailgun. Not the best accuracy, but a lot of nails in your enemies guaranteed."
	CF_ItmUnlockData["Dummy"][i] = 800
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Dummy"][i] = 4

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Perforator"
	CF_ItmPresets["Dummy"][i] = "Perforator"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 100
	CF_ItmDescriptions["Dummy"][i] =
		"Reliable gun that make enemy again sure that nails can be dangerous. This weapon shoots large nails at high speed, and caused great damage to enemy."
	CF_ItmUnlockData["Dummy"][i] = 2000
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Dummy"][i] = 8

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Rail Rifle"
	CF_ItmPresets["Dummy"][i] = "Rail Rifle"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 1400
	CF_ItmDescriptions["Dummy"][i] =
		"Improved rail gun technology allows bullet from this weapon to achieve incredible speeds. The light weight of this weapon also allows you to quickly retreat."
	CF_ItmUnlockData["Dummy"][i] = 2200
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.SNIPER
	CF_ItmPowers["Dummy"][i] = 7

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Slayer Cannon"
	CF_ItmPresets["Dummy"][i] = "Slayer Cannon"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 125
	CF_ItmDescriptions["Dummy"][i] =
		"A smaller version of the Destroyer Cannon, you can fire a 5 bolts of fast moving energy that tear enemy on impact, but do not forget the energy bolts are too unstable and doesn't fly too far."
	CF_ItmUnlockData["Dummy"][i] = 1700
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Dummy"][i] = 6

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Turbo Launcher"
	CF_ItmPresets["Dummy"][i] = "Turbo Launcher"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 150
	CF_ItmDescriptions["Dummy"][i] =
		"Light missile launcher, which fires special turbo missiles. In seconds after launch, the missile with a kinetic warhead activates turbo mode, so it very quickly gaining terrific speed."
	CF_ItmUnlockData["Dummy"][i] = 2500
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Dummy"][i] = 10

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Plastic Kit"
	CF_ItmPresets["Dummy"][i] = "Plastic Kit"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 25
	CF_ItmDescriptions["Dummy"][i] = "A small kit with a liquid plastic which can repair Dummy robots."
	CF_ItmUnlockData["Dummy"][i] = 200
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Dummy"][i] = 3

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Turbo Extinguisher"
	CF_ItmPresets["Dummy"][i] = "Turbo Extinguisher"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 15
	CF_ItmDescriptions["Dummy"][i] =
		"A small fire extinguisher to put out the fire quickly. You know how all enemies are like burning Dummies, so this thing for every good robot."
	CF_ItmUnlockData["Dummy"][i] = 150
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Dummy"][i] = 0

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Energy Inhibitor"
	CF_ItmPresets["Dummy"][i] = "Energy Inhibitor"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 100
	CF_ItmDescriptions["Dummy"][i] =
		"Device for energy protection, that just quickly dissipates energy that fly in you. When activated, it can protect against energy weapons of Dummy and Techions."
	CF_ItmUnlockData["Dummy"][i] = 1300
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Dummy"][i] = 7

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Nail Grenade"
	CF_ItmPresets["Dummy"][i] = "Nail Grenade"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 5
	CF_ItmDescriptions["Dummy"][i] =
		"Dummy always liked nails, and grenade with them is another method to delivery deadly hot nails into your enemy."
	CF_ItmUnlockData["Dummy"][i] = 200
	CF_ItmClasses["Dummy"][i] = "TDExplosive"
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Dummy"][i] = 2

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Annihiliator Bomb"
	CF_ItmPresets["Dummy"][i] = "Annihiliator Bomb"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 45
	CF_ItmDescriptions["Dummy"][i] =
		"Very powerful energy bomb. You will have little time after activation, and a little time when energy ball is destabilized."
	CF_ItmUnlockData["Dummy"][i] = 500
	CF_ItmClasses["Dummy"][i] = "TDExplosive"
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Dummy"][i] = 7

	i = #CF_ItmNames["Dummy"] + 1
	CF_ItmNames["Dummy"][i] = "Plastic Shield"
	CF_ItmPresets["Dummy"][i] = "Plastic Shield"
	CF_ItmModules["Dummy"][i] = "MercuryInc.rte"
	CF_ItmPrices["Dummy"][i] = 10
	CF_ItmDescriptions["Dummy"][i] =
		"Lightweight and cheap plastic shield, most likely created from broken Dummies. Not very strong, but it's better than nothing."
	CF_ItmUnlockData["Dummy"][i] = 300
	CF_ItmClasses["Dummy"][i] = "HeldDevice"
	CF_ItmTypes["Dummy"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Dummy"][i] = 1

	--[[
	BROWNCOATS!
]]
	--

	i = #CF_ActNames["Browncoats"] + 1
	CF_ActNames["Browncoats"][i] = "Browncoat Space Soldier"
	CF_ActPresets["Browncoats"][i] = "Browncoat Space Soldier"
	CF_ActModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ActPrices["Browncoats"][i] = 200
	CF_ActDescriptions["Browncoats"][i] =
		"Space soldier with a new gravity backpack, which allows reduce gravity to the owner, and jump higher or even fly. Special suit with beautiful blue color very well protects from falls and explosions, but not as well protected from bullets."
	CF_ActUnlockData["Browncoats"][i] = 1200
	CF_ActTypes["Browncoats"][i] = CF_ActorTypes.LIGHT
	CF_ActPowers["Browncoats"][i] = 3

	i = #CF_ActNames["Browncoats"] + 1
	CF_ActNames["Browncoats"][i] = "Browncoat Shock Trooper"
	CF_ActPresets["Browncoats"][i] = "Browncoat Shock Trooper"
	CF_ActModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ActPrices["Browncoats"][i] = 250
	CF_ActDescriptions["Browncoats"][i] =
		"Support trooper for assault operations. Equipment transmitter antenna, that uses energy for emitting different signals, which act on the middle distance. There are 3 types: Door Hack Signal, Electromagnetic Impulse, and Jamming Signal."
	CF_ActUnlockData["Browncoats"][i] = 2500
	CF_ActTypes["Browncoats"][i] = CF_ActorTypes.HEAVY
	CF_ActPowers["Browncoats"][i] = 4

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "AR-17 Punisher"
	CF_ItmPresets["Browncoats"][i] = "AR-17 Punisher"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 45
	CF_ItmDescriptions["Browncoats"][i] =
		"An early version of Browncoats assault rifle. Shoot a small caliber, but faster and more accurately to other rifle."
	CF_ItmUnlockData["Browncoats"][i] = 500
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Browncoats"][i] = 4

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "SG-49 Skull Crusher"
	CF_ItmPresets["Browncoats"][i] = "SG-49 Skull Crusher"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 70
	CF_ItmDescriptions["Browncoats"][i] =
		"Very powerful heavy shotgun. Accuracy is very bad, but bullets can fly far and cause serious damage. Meatshots incredibly destructive."
	CF_ItmUnlockData["Browncoats"][i] = 1000
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.SHOTGUN
	CF_ItmPowers["Browncoats"][i] = 6

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "FBL-90 Sunrise"
	CF_ItmPresets["Browncoats"][i] = "FBL-90 Sunrise"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 125
	CF_ItmDescriptions["Browncoats"][i] =
		"Hand-held fireball launcher is dangerous weapon. The ball are fly far, and if it hit enemy, will cause him to visit the hospital burn department. If survives. Ha!"
	CF_ItmUnlockData["Browncoats"][i] = 1750
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.RIFLE
	CF_ItmPowers["Browncoats"][i] = 9

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "ISR-032 Flamedust"
	CF_ItmPresets["Browncoats"][i] = "ISR-032 Flamedust"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 145
	CF_ItmDescriptions["Browncoats"][i] =
		"One of the best, if not the best sniper rifle. After all, who does not like heavy incendiary bullets? We should only warn you about a low fire rate of this weapon."
	CF_ItmUnlockData["Browncoats"][i] = 1500
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.SNIPER
	CF_ItmPowers["Browncoats"][i] = 8

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "ISR-032 Flamedust"
	CF_ItmPresets["Browncoats"][i] = "ISR-032 Flamedust"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 145
	CF_ItmDescriptions["Browncoats"][i] =
		"One of the best, if not the best sniper rifle. After all, who does not like heavy incendiary bullets? We should only warn you about a low fire rate of this weapon."
	CF_ItmUnlockData["Browncoats"][i] = 1500
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.SNIPER
	CF_ItmPowers["Browncoats"][i] = 8

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "MG-300 Jumbo"
	CF_ItmPresets["Browncoats"][i] = "MG-300 Jumbo"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 150
	CF_ItmDescriptions["Browncoats"][i] =
		"Heavy minigun, has a wonderful quality of work by gunsmiths. Big magazine for 100 heavy bullets very quickly ends, however, this is enough to kill big enemy group."
	CF_ItmUnlockData["Browncoats"][i] = 2250
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.HEAVY
	CF_ItmPowers["Browncoats"][i] = 8

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "MI-61 Overdose"
	CF_ItmPresets["Browncoats"][i] = "MI-61 Overdose"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 45
	CF_ItmDescriptions["Browncoats"][i] =
		"Reusable adrenaline injector, in addition to the adrenaline, it includes a bunch of other drugs. You can heal big amount of health, and even take overdose. Also, only Browncoats have have slots on the wrist for injection."
	CF_ItmUnlockData["Browncoats"][i] = 600
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Browncoats"][i] = 4

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "CS-5 Woodchopper"
	CF_ItmPresets["Browncoats"][i] = "CS-5 Woodchopper"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 15
	CF_ItmDescriptions["Browncoats"][i] = "Good tool for working with wood, but we know that you will do with it."
	CF_ItmUnlockData["Browncoats"][i] = 400
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.TOOL
	CF_ItmPowers["Browncoats"][i] = 3

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "FD-145 Burner"
	CF_ItmPresets["Browncoats"][i] = "FD-145 Burner"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 55
	CF_ItmDescriptions["Browncoats"][i] =
		"Compact flamethrower-digger. Special fuel very well burns dirt, grass, ugly faces, and stone."
	CF_ItmUnlockData["Browncoats"][i] = 1000
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.DIGGER
	CF_ItmPowers["Browncoats"][i] = 5

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "Bullet Bomb"
	CF_ItmPresets["Browncoats"][i] = "Bullet Bomb"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 5
	CF_ItmDescriptions["Browncoats"][i] = "Simple grenade, in which instead fragments, has bullets. Cruelly and cheap."
	CF_ItmUnlockData["Browncoats"][i] = 200
	CF_ItmClasses["Browncoats"][i] = "TDExplosive"
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Browncoats"][i] = 2

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "Hell Bomb"
	CF_ItmPresets["Browncoats"][i] = "Hell Bomb"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 35
	CF_ItmDescriptions["Browncoats"][i] =
		"Incendiary bomb, there is nothing better to clean the bunker from unwanted neighbors. It quite heavy, and throw it far will be not easy."
	CF_ItmUnlockData["Browncoats"][i] = 600
	CF_ItmClasses["Browncoats"][i] = "TDExplosive"
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.GRENADE
	CF_ItmPowers["Browncoats"][i] = 5

	i = #CF_ItmNames["Browncoats"] + 1
	CF_ItmNames["Browncoats"][i] = "AS-42 Storm"
	CF_ItmPresets["Browncoats"][i] = "AS-42 Storm"
	CF_ItmModules["Browncoats"][i] = "MercuryInc.rte"
	CF_ItmPrices["Browncoats"][i] = 30
	CF_ItmDescriptions["Browncoats"][i] = "Strong shield with good quality. However, it is quite heavy."
	CF_ItmUnlockData["Browncoats"][i] = 650
	CF_ItmClasses["Browncoats"][i] = "HeldDevice"
	CF_ItmTypes["Browncoats"][i] = CF_WeaponTypes.SHIELD
	CF_ItmPowers["Browncoats"][i] = 3

	--[[
	SINDY...AH WAIT, THATS ALL!!
]]
	--
end
