function Create(self)
	self.lifeTimer = Timer()
end

function Update(self)
	for actor in MovableMan.Actors do
		if not string.find(actor.PresetName, "Brain") then
			if actor.ClassName == "AHuman" or actor.ClassName == "ACrab" then
				local avgx = actor.Pos.X - self.Pos.X
				local avgy = actor.Pos.Y - self.Pos.Y
				local dist = math.sqrt(avgx ^ 2 + avgy ^ 2)
				if dist < 300 and not self.lifeTimer:IsPastSimMS(10000) and actor.Team ~= self.Sharpness then
					actor:GetController():SetState(Controller.BODY_JUMP, false)
					actor:GetController():SetState(Controller.BODY_JUMPSTART, false)
					actor:GetController():SetState(Controller.BODY_CROUCH, true)
					actor:GetController():SetState(Controller.PIE_MENU_ACTIVE, false)
					actor:GetController():SetState(Controller.WEAPON_FIRE, false)
					actor:GetController():SetState(Controller.AIM_SHARP, false)
					actor:GetController():SetState(Controller.MOVE_RIGHT, false)
					actor:GetController():SetState(Controller.MOVE_LEFT, false)
				end
			end
		end
	end
end
