require("AI/NativeHumanAI")
function Create(self)
	self.AI = NativeHumanAI:Create(self)
	self.HPHealTimer = Timer()
	self.WoundHealTimer = Timer()
	self.EffectHealTimer = Timer()
end
function Update(self)
	if self.HPHealTimer:IsPastSimMS(800) then
		self.HPHealTimer:Reset()
		if self.Health < 100 then
			self.Health = self.Health + 1
		end
	end
	if self.WoundHealTimer:IsPastSimMS(2000) then
		self.WoundHealTimer:Reset()
		self:RemoveWounds(1)
	end
	if self.EffectHealTimer:IsPastSimMS(5000) then
		self.EffectHealTimer:Reset()
		if self.Health < 100 then
			local nanoheal = CreateAEmitter("Nano Heal Blast")
			nanoheal.Pos = self.Pos
			MovableMan:AddParticle(nanoheal)
		end
	end
end
function UpdateAI(self)
	self.AI:Update(self)
end
