function Create(self)
	self.lifeTimer = Timer()
end
function Update(self)
	local curdist = 30
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X
		local avgy = actor.Pos.Y - self.Pos.Y
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2)
		if dist < curdist then
			self:GibThis()
		end
	end
	if self.lifeTimer:IsPastSimMS(15000) then
		local explosion = CreateMOSRotating("Coalition Merc Grenade Explosion")
		explosion.Pos = self.Pos
		explosion:GibThis()
		MovableMan:AddParticle(explosion)
		self.ToDelete = true
	end
end
