function Create(self)
	self.reloaded = false
	self.ammoCounter = 0
	self.particleSpread = 2
	self.particleSpreadSharp = 0
end
function Update(self)
	if self.Magazine ~= nil then
		if self.reloaded == false then
			self.reloaded = true
			self.ammoCounter = self.Magazine.RoundCount
		else
			if self.ammoCounter ~= self.Magazine.RoundCount then
				if self.HFlipped == false then
					self.negativeNum = 1
				else
					self.negativeNum = -1
				end
				local bullet = CreateMOSRotating("Anti Personnel Mine Active")
				bullet.Pos = self.MuzzlePos
				bullet.Vel = self.Vel
					+ Vector(10 * self.negativeNum, 0)
						:RadRotate(self.RotAngle)
						:DegRotate((self.particleSpread * -0.5) + (self.particleSpread * math.random()))

				local actor = MovableMan:GetMOFromID(self.RootID)
				if MovableMan:IsActor(actor) then
					if ToActor(actor):GetController():IsState(Controller.AIM_SHARP) then
						bullet.Vel = self.Vel
							+ Vector(10 * self.negativeNum, 0)
								:RadRotate(self.RotAngle)
								:DegRotate(
									(self.particleSpreadSharp * -0.5) + (self.particleSpreadSharp * math.random())
								)
					end
					bullet.Team = ToActor(actor).Team
					bullet.IgnoresTeamHits = true
					bullet.Sharpness = ToActor(actor).Team
				end
				MovableMan:AddParticle(bullet)
			end
			self.ammoCounter = self.Magazine.RoundCount
		end
	else
		self.reloaded = false
	end
end
