function Create(self)
	self.raylength = 2
	self.rayPixSpace = 2
	self.dots = math.floor(self.raylength / self.rayPixSpace)
	for portals in MovableMan.Particles do
		if portals.ClassName == "AEmitter" and string.find(portals.PresetName, "Merc Portal Tool Portal Exit") then
			portals.ToDelete = true
		end
	end
end
function Update(self)
	self.raylength = self.Vel.Magnitude
	self.dots = math.floor(self.raylength / self.rayPixSpace)
	for i = 1, self.dots do
		local checkPos = self.Pos + Vector(self.Vel.X, self.Vel.Y):SetMagnitude((i / self.dots) * self.raylength)
		if SceneMan.SceneWrapsX == true then
			if checkPos.X > SceneMan.SceneWidth then
				checkPos = Vector(checkPos.X - SceneMan.SceneWidth, checkPos.Y)
			elseif checkPos.X < 0 then
				checkPos = Vector(SceneMan.SceneWidth + checkPos.X, checkPos.Y)
			end
		end
		local terrCheck = SceneMan:GetTerrMatter(checkPos.X, checkPos.Y)
		if terrCheck == 0 then
			local moCheck = SceneMan:GetMOIDPixel(checkPos.X, checkPos.Y)
			if moCheck ~= 255 then
				local actor = MovableMan:GetMOFromID(MovableMan:GetMOFromID(moCheck).RootID)
				if actor.Team ~= self.Team then
					local portal = CreateAEmitter("Merc Portal Tool Portal Exit")
					portal.Pos = self.Pos
					self.ToDelete = true
					MovableMan:AddParticle(portal)
				end
			end
		else
			local portal = CreateAEmitter("Merc Portal Tool Portal Exit")
			portal.Pos = self.Pos
			self.ToDelete = true
			MovableMan:AddParticle(portal)
		end
	end
end
